/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;
import javax.swing.*;
import java.awt.*;


public class CheeseProgress extends JDialog {
    JLabel message = new JLabel( "Progress" );

    CheeseProgress( Frame owner ) {
        super( owner, false );
        //getRootPane().setWindowDecorationStyle( JRootPane.NONE );
        setTitle( "Wait..." );

        getContentPane().setLayout( new GridLayout( 1, 1 ) );
        getContentPane().add( message );

        pack();
        setSize( 200, 50 );
    }

    public void set_message( String s ) {
        CheeseLab.dmesg( 2, "Setting message text: " + s );
        message.setText( s );
        repaint();
    }
}
